Professional Services Project

1 Professional Services Project

Vision Statement

A project has been initiated to review and improve the University's current support services model. It follows feedback from staff and students that the current system is overly bureaucratic and hierarchical. A Flinders-led project team has been established, with support from Ernst &  Young (EY). This team will work collaboratively with the broader Flinders community to explore options for the design of a high quality, sustainable support service model for the future.

Our ambition is to be internationally recognised as a world leader in research, an innovator at the forefront of contemporary education and the source of Australia’s most enterprising graduates.

To achieve this, we need to sharpen the focus on delivering value to students, staff and industry partners, while respecting our culture and keeping our cost structures under control.

The Vice-Chancellor has commissioned a program to review and redesign our support services model to be more sustainable and customer-focused.

The objectives of the Professional Services Project are to:

  • Analyse the University’s support service delivery
  • Propose an improved support service delivery model through a collaborative approach

The project is being delivered in two stages across a twelve week period. Stage 1 of the project involves assessing our services needs and developing a preliminary design. Stage 2 involves consultation, detailed design development and presentation of a proposed model for consideration.

The expected project completion date is late April 2016. This project is focused on discovery and design; it is not intended to implement the future support services model.

Professional Services Project Timeline

The PSP team includes Flinders University staff members, supported by Ernst & Young. They report to the Project Steering Committee and work in collaboration with a Co-Design Working Group.

Team Members

  • Program Director: Ian Smith
  • Senior Manager: Richard Clark
  • Engagement Manager: Satya Webster
  • HR Change Manager: Christie O'Brien
  • Ernst & Young: Amy Grace and Stephanie Fahey

Project Steering Committee

The project team reports to the Project Steering Committee, which consists of the following members:

  • Interim VP Corporate Services: Stuart Mossman (Chair)
  • Deputy Vice Chancellor (Students): Professor Clare Pollock
  • Faculty Executive Dean, Science and Engineering: Professor Warren Lawrance
  • Faculty Executive Dean, Social and Behavioural Sciences: Professor Phyllis Tharenou
  • Executive Director, Office of Communication and Engagement: Callista Thillou
  • Dean-School of Humanities: Professor Diana Glenn
  • Dean-School of Health Sciences: Professor John Coveney
  • Ernst & Young: Amy Grace and Stephanie Fahey

 

The Steering Committee has been established to review recommendations and make critical decisions in relation to the Professional Services Project to ensure its successful delivery. The Steering Committee is responsible for:

  • Setting the project’s objectives, priorities and plans, initially and in light of any emerging issues and/or new requirements
  • Monitoring project performance and progress against stated objectives, plans, priorities and outcomes
  • Managing any concerns that may emerge, and the quality of project activities
  • Resolving issues that could impede the project
  • Making decisions regarding project delivery and ensuring alignment between the needs of service users and service providers
  • Advocating the program to key Flinders University stakeholders
  • Making recommendations for approval by the Vice-Chancellor
  • Agreeing on the stakeholder engagement and communications plan
  • Providing approvals to subsequent project stages.

Co-Design Working Group

The Co-Design Working Group includes participants from each of the Faculties and Central Service Divisions and is responsible for bringing their diverse perspectives into the design process.  It includes representation from academic and professional staff groups as well as the Deputy Vice-Chancellor (Students). Members of the Co-Design Working Group are responsible for:

  • Accomplishing the Project’s objectives of analysing support service delivery and developing a proposed support service delivery model through a collaborative approach
  • Advocating the project to key Flinders University stakeholders
  • Managing stakeholder concerns and monitoring the quality of project activities

Providing open and honest perspectives of service needs and service usage to inform the design process.

The project team will be engaging closely with the University community over the course of the project, and we welcome feedback, viewpoints and ideas. There are a range of opportunities for students to participate in the consultation and ensure the project team has a good understanding of what works well and what may need to be done differently, including:

    1. Complete the project survey sent in the email from the DVC(Students) Clare Pollock by no later than 5:00pm, Friday 1 April 2016
    2. Attend one of the below Professional Services Project student forums held on 22 March and 23 March 2016
DateSession typeStart timeEnd timeLocationRegister
Tuesday, 22 Mar 2016 Student Forum 1 14:00 15:00 Sturt South S202, Bedford Park Event closed
Wednesday, 23 Mar 2016 Student Forum 2 11:00 12:00 Biological Sciences,
South Theatre 1, Bedford Park
Event closed
Wednesday, 23 Mar 2016 Student Workshop 13:00 15:00 Humanities, Seminar Room 133,
Bedford Park
Event closed
  1. Ask questions or email your thoughts to the project team directly at psp@flinders.edu.au